Skip to main content

Validate if a set of signatories can legally sign for a company

POST 

/organisations/:uid/signatories/validate

Available in plans: Swiss Registry Signatory · Swiss Registry Signatory Excerpt · Partner

This method validates if a set of persons can sign legally according to the competences specified in the cantonal commercial register.

HTTP semantics

  • Returns 200 when the request is syntactically valid and the validation was executed successfully (even if the outcome is isValid=false).
  • Returns 4xx/5xx only for request/auth errors or server failures. In that case, the response uses ApiErrorResponse with errorCode and errors[].

Proposed Usage

  • Use this endpoint to validate if a selected group of signatories has the proper authority to sign documents
  • The validation takes into account the signing competences from the commercial register
  • Can optionally include detailed validation rules in the response
  • Supports caching for better performance
  • The data relies on the respective cantonal commercial register records
  • We disclaim any legal liability for any damages or consequences that may result from the use of the data provided.

Usage Limits

  • This endpoint is rate limited, please refer to the response headers for further details on limits and reset times.

Request

Responses

Validation result

Response Headers
    RateLimit-Policy

    The rate limit policy applied to this request

    Example: 10;w=60
    RateLimit-Limit

    The rate limit for this endpoint

    Example: 10
    RateLimit-Remaining

    The number of requests remaining in the current rate limit window

    Example: 7
    RateLimit-Reset

    The amount of seconds before the rate limit window requests

    Example: 39
    RateLimit-Origin

    Origin of the 429 rate limit (e.g. Jupi or when absent; other gateway like DMP)

    Example: jupi